LIMACTL(1)

NAME
limactl-show-ssh - Show the SSH command line (DEPRECATED; use ssh -F instead)

SYNOPSIS
limactl show-ssh [flags] INSTANCE

DESCRIPTION
Show the SSH command line (DEPRECATED)

WARNING: 'limactl show-ssh' is deprecated. Instead, use 'ssh -F ~/.lima/default/ssh.config lima-default' .

OPTIONS
-f, --format="cmd"
    Format: cmd, args, options, config

-h, --help[=false]
    help for show-ssh

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

-y, --yes[=false]
    Alias of --tty=false

EXAMPLE
      "cmd" format (default): Full SSH command line
        $ limactl show-ssh --format=cmd default
        ssh -o IdentityFile="/Users/example/.lima/_config/user" -o User=example -o Hostname=127.0.0.1 -o Port=60022 lima-default
      "args" format: Similar to the cmd format but omits "ssh" and the destination address
        $ limactl show-ssh --format=args default
        -o IdentityFile="/Users/example/.lima/_config/user" -o User=example -o Hostname=127.0.0.1 -o Port=60022
      "options" format: SSH option key value pairs
        $ limactl show-ssh --format=options default
        IdentityFile="/Users/example/.lima/_config/user"
        User=example
        Hostname=127.0.0.1
        Port=60022
      "config" format: ~/.ssh/config format
        $ limactl show-ssh --format=config default
        Host lima-default
          IdentityFile "/Users/example/.lima/_config/user "
          User example
          Hostname 127.0.0.1
          Port 60022
      To show the config file path:
        $ limactl ls --format='{{.SSHConfigFile}}' default
        /Users/example/.lima/default/ssh.config

SEE ALSO
limactl(1)